classification
Title: help related topic doesn't exist
Type: behavior Stage:
Components: Interpreter Core Versions: Python 3.0, Python 3.1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: LambertDW, georg.brandl, terry.reedy
Priority: normal Keywords: easy

Created on 2009-02-11 20:48 by LambertDW, last changed 2009-09-04 08:07 by georg.brandl. This issue is now closed.

Messages (3)
msg81668 - (view) Author: David W. Lambert (LambertDW) Date: 2009-02-11 20:48
help function is not current, then again, neither is my python3. 
Possibly sequencemethods[12] are eradicated.

$ p3
Python 3.0rc1+ (py3k, Nov  5 2008, 14:44:46) 
[GCC 3.4.6 20060404 (Red Hat 3.4.6-3)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> help('SEQUENCEMETHODS')
...

Related help topics: SEQUENCES, SEQUENCEMETHODS2, SPECIALMETHODS

>>> help('SEQUENCEMETHODS1')
no Python documentation found for 'SEQUENCEMETHODS1'

>>> help('SEQUENCEMETHODS2')
no Python documentation found for 'SEQUENCEMETHODS2'
msg89371 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2009-06-14 22:10
In 3.1rc2, SPECIALMETHODS help ends with
"Related help topics: BASICMETHODS, ATTRIBUTEMETHODS, CALLABLEMETHODS,
SEQUENCEMETHODS1, MAPPINGMETHODS, SEQUENCEMETHODS2, NUMBERMETHODS,
CLASSES".
The topic list only has SEQUENCEMETHODS and not S...1 and S...2.
So I suspect the two topics were consolidated into one without changing
the cross-reference lists.  The latter need editing.
msg92242 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-09-04 08:07
Thanks, fixed in r74645.
History
Date User Action Args
2009-09-04 08:07:46georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg92242

resolution: fixed
2009-06-14 22:10:30terry.reedysetversions: + Python 3.1
nosy: + terry.reedy

messages: + msg89371

keywords: + easy
2009-02-11 20:48:08LambertDWcreate